# Class: Link

## Link(linkId, noteId, targetNoteId, type, isDeleted, utcDateModified, utcDateCreated)

This class represents link from one note to another in the form of hyperlink or image reference. Note that this is different concept than attribute/relation.

## Constructor

#### new Link(linkId, noteId, targetNoteId, type, isDeleted, utcDateModified, utcDateCreated)

##### Parameters:

Name | Type | Description
--- | --- | ---
`linkId` | string |
`noteId` | string |
`targetNoteId` | string |
`type` | string |
`isDeleted` | boolean |
`utcDateModified` | string |
`utcDateCreated` | string |

Source:
  - entities/link.js, line 21

### Extends

- Entity